-- Set up elixir-tools.nvim for better Elixir support

return {
  {
    "elixir-tools/elixir-tools.nvim",
    event = { "BufReadPre", "BufNewFile" },
    config = function()
      local elixir = require("elixir")

      elixir.setup({
        elixirls = {
          enable = false, -- handle elixirls through mason
        },
      })
    end,
  },
}
